## netstat-nat 1.4.3

=== Makefile ===
#-------------------------------------------------------------------------------
#
# $Id: Makefile,v 1.8 2003/08/31 10:59:15 mardan Exp $ 
#
#
# Copyright (c) 2002 by D.Wijsman (danny@tweegy.demon.nl). 
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
#
#-------------------------------------------------------------------------------

VERSION = 1.4.3
SHELL = /bin/sh
BINDIR = /usr/bin
ETCDIR = /etc
MANDIR = /usr/share/man/man1
DOCDIR = /usr/share/doc
INSTALL = install -c


CC = gcc -Wall -O2


PROG_SRC = netstat-nat.c
PROG_BIN = netstat-nat
PROG_MAN = netstat-nat.1
DOC = COPYING README INSTALL AUTHORS CHANGELOG netstat-nat.spec

all:	netstat-nat


netstat-nat:
	$(CC) -o $(PROG_BIN) $(PROG_SRC) 


clean:	
	rm -f *.o $(PROG_BIN)


install:
	mkdir -p $(DOCDIR)/$(PROG_BIN)-$(VERSION) 
	mkdir -p $(MANDIR)
	$(INSTALL) -s $(PROG_BIN) $(BINDIR)
	$(INSTALL) -m 444 $(PROG_MAN) $(MANDIR)
	$(INSTALL) -m 444 $(DOC) $(DOCDIR)/$(PROG_BIN)-$(VERSION)


uninstall:
	rm -r $(BINDIR)/$(PROG_BIN)
	rm -r $(MANDIR)/$(PROG_MAN)
	rm -r $(DOCDIR)/$(PROG_BIN)*

## netstat-nat 1.4.10

=== debian/changelog ===
netstat-nat (1.4.10-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:36:35 +0000

netstat-nat (1.4.10-3) unstable; urgency=medium

  * New maintainer.(Closes: #553187)
  * Migrations:
     - debian/copyright to new format (1.0).
     - debhelper version from 7 to 9.
     - Standards-Version from 3.9.1 to 3.9.5.
  * debian/control:
     - Little improvements in the long description.
  * debian/rules:
     - Removed commented lines.

 -- Gustavo Paniagua dos Santos <paniagua.gustavo@gmail.com>  Mon, 26 May 2014 14:07:47 -0300

netstat-nat (1.4.10-2) unstable; urgency=low

  * QA upload.
  * debian/rules: Replace regular rule targets by dh override targets.
    (Closes: #593769) 
    - Build-depend on debhelper >= 7.0.50~.
  * Standards-Version bumped to 3.9.1.

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 21 Aug 2010 14:21:13 +0200

netstat-nat (1.4.10-1) unstable; urgency=low

  * QA upload.
  * New upstream release
  * Convert package to the 3.0 (quilt) source format.
  * Standards-Version bumped to 3.8.4.

 -- Johann Felix Soden <johfel@gmx.de>  Sun, 27 Jun 2010 10:14:30 +0200

netstat-nat (1.4.9-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group and remove Uploaders (Closes: #540833).
  * Update Build-Depends (Closes: #542523).
  * Now using dh 7 tiny.rules, debian/compat set to 7.
  * debian/watch: added.
  * debian/copyright: updated (netstat-nat is GPL-2+, not just GPL-2).
  * Standards-Version bumpet to 3.8.3 (Homepage field added).
  * Small changes on Descriptions.

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 01 Dec 2009 10:32:59 -0500

netstat-nat (1.4.9-1) unstable; urgency=low

  * New upstream version (Closes: #458808)

 -- Andrés Roldán <aroldan@debian.org>  Sun, 06 Apr 2008 23:45:18 +0000

netstat-nat (1.4.8-1) unstable; urgency=low

  * New upstream version. (Closes: #358175)

 -- Andrés Roldán <aroldan@debian.org>  Fri, 08 Jun 2007 15:34:01 +0000

netstat-nat (1.4.7-1) unstable; urgency=low

  * New upstream version. 
  * Added Julián Hernández Gómez <julianhernandez@gmail.com> as new
    Uploader.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 30 Nov 2006 14:39:56 +0000

netstat-nat (1.4.5-2) unstable; urgency=low

  * Build-Depends on libc6-dev | libc6.1-dev. Fixes FTBFS bug on some archs.
    (Closes: #297108)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 28 Feb 2005 13:47:37 +0000

netstat-nat (1.4.5-1) unstable; urgency=low

  * New upstream version. (Closes: #294082)
  * debian/patches/Makefile.dpatch:
    - Removed as this version uses a configure script.

 -- Andrés Roldán <aroldan@debian.org>  Mon,  7 Feb 2005 20:13:37 +0000

netstat-nat (1.4.3-2) unstable; urgency=low

  * Changed maintainer's e-mail.
  * Bumped Standars-Version to 3.6.1. 

 -- Andrés Roldán <aroldan@debian.org>  Sun, 12 Oct 2003 00:37:38 +0000

netstat-nat (1.4.3-1) unstable; urgency=low

  * New upstream version.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Sat, 13 Sep 2003 17:17:06 +0000

netstat-nat (1.4.2-6) unstable; urgency=low

  * Bumped Standard-Version to 3.6.0.
  * Built with newer libc6.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Thu, 11 Sep 2003 02:41:45 +0000

netstat-nat (1.4.2-5) unstable; urgency=low

  * New maintainer.
  * Now build depends on dpatch.

 -- Andrés Roldán <aroldan@fluidsignal.com>  Fri, 16 May 2003 22:56:16 +0000

netstat-nat (1.4.2-4) unstable; urgency=low

  * New maintainer (closes: #187263).
  * Removed postrm and preinst scripts because package don't use
    debconf.

 -- Luis Bustamante <luferbu@fluidsignal.com>  Wed, 16 Apr 2003 09:56:31 -0500

netstat-nat (1.4.2-3) unstable; urgency=low

  * Change Maintainer field

 -- Igor Genibel <igenibel@debian.org>  Wed,  2 Apr 2003 14:06:57 +0200

netstat-nat (1.4.2-2) unstable; urgency=low

  * Orphan this package

 -- Igor Genibel <igenibel@debian.org>  Wed,  2 Apr 2003 13:35:52 +0200

netstat-nat (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Igor Genibel <igenibel@debian.org>  Fri, 21 Mar 2003 17:43:05 +0100

netstat-nat (1.4-1) unstable; urgency=low

  * Initial Release (Closes: #163307)

 -- Igor Genibel <igenibel@debian.org>  Fri,  4 Oct 2002 14:24:14 +0200

=== debian/control ===
Source: netstat-nat
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gustavo Paniagua dos Santos <paniagua.gustavo@gmail.com>
Build-Depends: debhelper (>= 9), autotools-dev
Standards-Version: 3.9.5
Homepage: http://www.tweegy.nl/projects/netstat-nat/

Package: netstat-nat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool that display NAT connections
 Netstat-nat is a program that displays Network Address Translations (NAT)
 connections, managed by netfilter/iptables acting as firewall.
 .
 NAT rules are stored in memory. However, the program reads its information
 from '/proc/net/ip_conntrack', which is the temporary conntrack-storage of
 netfilter.

=== debian/watch ===
version=3
http://www.tweegy.nl/projects/netstat-nat/ .*/netstat-nat-(.*)\.tar\.gz

## netstat-nat 2a

=== debian/changelog ===
netstat-nat (2a-1) unstable; urgency=medium

  * New upstream version 2a (+ NEWS & changelog)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 18 Sep 2024 20:24:13 +0200

netstat-nat (2-1) unstable; urgency=medium

  * New maintainer (Closes: #1079815)
  * New debian/
    + Vcs-Git: https://salsa.debian.org/nabijaczleweli/netstat-nat.git
    + Standards-Version:  3.9.5 -> 4.7.0
    + debhelper compat level: 9 -> 13
    + missing Depends: netbase
  * New upstream, version 2 (+ NEWS & changelog) (Closes: #1066719)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 02 Sep 2024 16:35:07 +0200

=== debian/control ===
Source: netstat-nat
Section: net
Priority: optional
Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
Standards-Version: 4.7.0
Homepage: https://sr.ht/~nabijaczleweli/netstat-nat-ng
Rules-Requires-Root: no
# Also at https://git.sr.ht/~nabijaczleweli/netstat-nat.deb
Vcs-Git: https://salsa.debian.org/nabijaczleweli/netstat-nat.git
Vcs-Browser: https://salsa.debian.org/nabijaczleweli/netstat-nat
Build-Depends: debhelper,
               debhelper-compat (= 13),
               netbase,

Package: netstat-nat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
Description: List/filter ongoing connections with NAT-specific decoding
 netstat-nat parses ongoing connections from /proc/net/nf_conntrack;
 by default it lists connections for which the current host acts as a
 Network Address Translation (NAT) gateway, but it can also show
 and filter normal connections from and to this host.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEB_BUILD_OPTIONS += notrimdch


export PREFIX := /usr
export VERSION := $(shell IFS="$$IFS()" read -r _ v _ < debian/changelog && echo "$$v")
export TZ := UTC0


override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
	dh_installdocs README
	cp debian/NEWS.upstream debian/netstat-nat/usr/share/doc/netstat-nat/NEWS


%:
	dh $@

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s:$:.asc:" \
	https://git.sr.ht/~nabijaczleweli/netstat-nat-ng/refs .*/([0-9][0-9a-zA-Z]*)@ARCHIVE_EXT@

## netstat-nat 2b

=== debian/changelog ===
netstat-nat (2b-1) unstable; urgency=medium

  * New upstream version 2b (+ NEWS & changelog)
  * Standards-Version: 4.7.2 (routine-update)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 23 Aug 2025 19:22:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://sr.ht/~nabijaczleweli/netstat-nat-ng
 Rules-Requires-Root: no
 # Also at https://git.sr.ht/~nabijaczleweli/netstat-nat.deb
